c
c @(#)diffus.f	1.1
c
      subroutine diffus(a,l,lml,d,dt,dz)
      include'ml_par.inc'
      dimension a(lmax),b(lmax)

      do 1 i=lml,l-1
         b(i) = a(i) + d * dt * ( (a(i+1)-2.*a(i)+a(i-1)) / dz**2 )
  1    continue

      do 2 i=lml,l-1
         a(i)=b(i)
  2    continue

      return
      end
